<?php
/**
 * Loop Add to Cart
 *
 * This template can be overridden by copying it to yourtheme/woocommerce/loop/add-to-cart.php.
 *
 * HOWEVER, on occasion WooCommerce will need to update template files and you
 * (the theme developer) will need to copy the new files to your theme to
 * maintain compatibility. We try to do this as little as possible, but it does
 * happen. When this occurs the version of the template file will be bumped and
 * the readme will list any important changes.
 *
 * @see 	    https://docs.woocommerce.com/document/template-structure/
 * @author 		WooThemes
 * @package 	WooCommerce/Templates
 * @version     3.3.0
 */

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}
global $product;

$button_text = (isset($args['button_text']) && $args['button_text']) ? $args['button_text'] : $product->add_to_cart_text();

echo apply_filters( 'woocommerce_loop_add_to_cart_link', // WPCS: XSS ok.
	sprintf( '<a href="%s" data-quantity="%s" class="%s" %s><svg width="18" height="17" viewBox="0 0 18 17" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M0 1H1.43845C2.35618 1 3.15615 1.6246 3.37873 2.51493L5.5 11H12.8832C13.8262 11 14.6412 10.3412 14.8388 9.41906L16 4H7.5" stroke="white" stroke-width="2"/><circle cx="6" cy="15.5" r="1.5" fill="white"/><circle cx="14" cy="15.5" r="1.5" fill="white"/><path d="M6 15H14" stroke="white" stroke-width="2"/></svg>%s</a>',
		esc_url( $product->add_to_cart_url() ),
		esc_attr( isset( $args['quantity'] ) ? $args['quantity'] : 1 ),
		esc_attr( isset( $args['class'] ) ? $args['class'] : 'button' ),
		isset( $args['attributes'] ) ? wc_implode_html_attributes( $args['attributes'] ) : '',
		esc_html( stristr($class, 'product_type_variable') ? esc_html__('Choose Options', 'motor') : $button_text )
	),
$product, $args );
