<?php
/**
 * Single variation cart button
 *
 * @see https://docs.woocommerce.com/document/template-structure/
 * @package WooCommerce\Templates
 * @version 7.0.1
 */

defined( 'ABSPATH' ) || exit;

global $product, $motor_options;

/**
 * @since 3.0.0.
 */
/*do_action( 'woocommerce_before_add_to_cart_quantity' );*/

/*woocommerce_quantity_input( array(
	'input_value' => isset( $_POST['quantity'] ) ? wc_stock_amount( $_POST['quantity'] ) : 1,
) );*/

/**
 * @since 3.0.0.
 */
/*do_action( 'woocommerce_after_add_to_cart_quantity' );*/
?>

<?php if ($motor_options['catalog_request'] == 'yes') : ?>
	<a href="#" class="button request-form-btn"><?php esc_html_e('Request', 'motor'); ?></a>
<?php else : ?>
    <?php do_action( 'woocommerce_before_add_to_cart_button' ); ?>

	<button type="submit" class="single_add_to_cart_button button alt<?php echo esc_attr( wc_wp_theme_get_element_class_name( 'button' ) ? ' ' . wc_wp_theme_get_element_class_name( 'button' ) : '' ); ?>"><svg width="18" height="17" viewBox="0 0 18 17" fill="none" xmlns="http://www.w3.org/2000/svg"><path d="M0 1H1.43845C2.35618 1 3.15615 1.6246 3.37873 2.51493L5.5 11H12.8832C13.8262 11 14.6412 10.3412 14.8388 9.41906L16 4H7.5" stroke="white" stroke-width="2"/><circle cx="6" cy="15.5" r="1.5" fill="white"/><circle cx="14" cy="15.5" r="1.5" fill="white"/><path d="M6 15H14" stroke="white" stroke-width="2"/></svg><?php echo esc_html( $product->single_add_to_cart_text() ); ?></button>
		<input type="hidden" name="add-to-cart" value="<?php echo absint( $product->get_id() ); ?>" />
		<input type="hidden" name="product_id" value="<?php echo absint( $product->get_id() ); ?>" />
	<input type="hidden" name="variation_id" class="variation_id" value="0" />
	<a href="<?php the_permalink(); ?>" class="prod-choose-opt"><?php esc_html_e('Choose Options', 'motor'); ?></a>

    <?php do_action( 'woocommerce_after_add_to_cart_button' ); ?>
<?php endif; ?>